Variable< T > Struct Template Reference

a generic variable template: value + flag to know if the variable is set More...

`#include <libmwaw_internal.hxx>`

## Public Member Functions

| Variable ()
| constructor More...
| Variable (T def)
| constructor with a default value More...
| Variable (Variable const &orig)
| copy constructor More...
Variable & | operator= (Variable const &orig)
| copy operator More...
Variable & | operator= (T val)
| set a value More...
void | insert (Variable const &orig)
| update the current value if orig is set More...
T const * | operator-> () const
| operator* More...
T * | operator-> ()
| operator* More...
T const & | operator* () const
| operator* More...
T & | operator* ()
| operator* More...
T const & | get () const
| return the current value More...
bool | isSet () const
| return true if the variable is set More...
void | setSet (bool newVal)
| define if the variable is set More...

## Protected Attributes

T | m_data
| the value More...
bool | m_set
| a flag to know if the variable is set or not More...

## Detailed Description

### template<class T>
struct Variable< T >

a generic variable template: value + flag to know if the variable is set

Note
  the variable is considered set as soon a new value is set or when its content is acceded by a function which returns a not-const reference... You can use the function setSet to unset it.

## Constructor & Destructor Documentation

template<class T>

Variable< T >::Variable | ( |  | ) |

inline

constructor

template<class T>

Variable< T >::Variable | ( | T | def | ) |

inline

constructor with a default value

template<class T>

Variable< T >::Variable | ( | Variable< T > const & | orig | ) |

inline

copy constructor

## Member Function Documentation

template<class T>

T const& Variable< T >::get | ( |  | ) | const

inline

return the current value

Referenced by MWAWParagraph::addTabsTo(), MSWStruct::Font::cmp(), MSWStruct::Font::insert(), MSWStruct::Paragraph::insert(), MSWStruct::Paragraph::inTable(), MSWStruct::operator<<(), operator<<(), MSWText::prepareTables(), MSWStruct::Paragraph::read(), MSW1Parser::readParagraph(), HMWJText::readParagraph(), MWParser::readParagraph(), HMWKText::readParagraph(), MSK3Text::readParagraph(), CWText::readParagraph(), WNText::readParagraph(), NSText::readParagraphs(), LWText::readRulers(), MSWTextStyles::readSection(), MSWTextStyles::readStylesFont(), MSWText::sendTable(), MSWText::sendText(), NSText::setProperty(), MSWTextStyles::setProperty(), MSWStruct::Font::updateFontToFinalState(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

template<class T>

void Variable< T >::insert | ( | Variable< T > const & | orig | ) |

inline

update the current value if orig is set

Referenced by MSWStruct::Font::insert(), MSWStruct::Section::insert(), MWAWParagraph::insert(), MSWStruct::Table::insert(), MSWStruct::Table::Cell::insert(), MSWStruct::ParagraphInfo::insert(), and MSWStruct::Paragraph::insert().

template<class T>

bool Variable< T >::isSet | ( |  | ) | const

inline

return true if the variable is set

Referenced by MSWTextStyles::getSectionFont(), MSWTextStyles::getSectionParagraph(), MSWStruct::Font::insert(), MSWStruct::Paragraph::insert(), MSWStruct::operator<<(), MSWText::prepareFontProperties(), MSWText::prepareTables(), MSW1Parser::readParagraph(), MSWText::sendTable(), and MSWStruct::Font::updateFontToFinalState().

template<class T>

T const& Variable< T >::operator* | ( |  | ) | const

inline

operator*

template<class T>

T& Variable< T >::operator* | ( |  | ) |

inline

operator*

template<class T>

T const* Variable< T >::operator-> | ( |  | ) | const

inline

operator*

template<class T>

T* Variable< T >::operator-> | ( |  | ) |

inline

operator*

template<class T>

Variable& Variable< T >::operator= | ( | Variable< T > const & | orig | ) |

inline

copy operator

template<class T>

Variable& Variable< T >::operator= | ( | T | val | ) |

inline

set a value

template<class T>

void Variable< T >::setSet | ( | bool | newVal | ) |

inline

define if the variable is set

Referenced by MSWStruct::Paragraph::insert(), and MWAWParagraph::MWAWParagraph().

## Member Data Documentation

template<class T>

T Variable< T >::m_data

protected

the value

Referenced by Variable< LineSpacingType >::get(), Variable< LineSpacingType >::insert(), Variable< LineSpacingType >::operator*(), Variable< LineSpacingType >::operator->(), and Variable< LineSpacingType >::operator=().

template<class T>

bool Variable< T >::m_set

protected

a flag to know if the variable is set or not

Referenced by Variable< LineSpacingType >::insert(), Variable< LineSpacingType >::isSet(), Variable< LineSpacingType >::operator*(), Variable< LineSpacingType >::operator->(), Variable< LineSpacingType >::operator=(), and Variable< LineSpacingType >::setSet().

The documentation for this struct was generated from the following file:

- libmwaw_internal.hxx